> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/update-dsgatewayruleset.md).

# Update-DSGatewayRuleset

Update-DSGatewayRuleset actualiza el nombre, la descripción, las reglas de acceso, la puerta de enlace vinculada y la configuración de seguridad de un conjunto de reglas de puerta de enlace de Devolut

### Sinopsis

Actualizar un conjunto de reglas de puerta de enlace.

### Sintaxis

#### GetByID

```
Update-DSGatewayRuleset [-GatewayID] <guid> [[-Name] <string>] [[-Description] <string>]
 [[-Rule] <PSGatewayAccessRule[]>] [[-LinkedGatewayID] <guid>] [-Security <GatewaySecurity>]
 [-IsDefault <bool>] [<CommonParameters>]
```

#### InputObject

```
Update-DSGatewayRuleset [-Gateway] <Gateway> [[-Name] <string>] [[-Description] <string>]
 [[-Rule] <PSGatewayAccessRule[]>] [[-LinkedGatewayID] <guid>] [-Security <GatewaySecurity>]
 [-IsDefault <bool>] [<CommonParameters>]
```

### Descripción

Actualiza un conjunto de reglas de puerta de enlace. Use el parámetro para modificar las propiedades correspondientes.

Este cmdlet se denominaba anteriormente Update-DSVirtualGateway. Ese nombre sigue disponible como alias.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> $gatewayId = Get-DSGateway -Name 'GatewayRulesetA' | Select-Object -ExpandProperty ID
PS C:\> $newRule = New-DSGatewayRulesetAccessRule -Access Deny -Type IP -Value '1.2.3.4'
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayId -Rule $newRule
```

Sustituir todas las reglas de acceso existentes de la puerta de enlace ruleset por una que deniegue la dirección IP '1.2.3.4'.

#### Ejemplo 2

```powershell
PS C:\> $gateway = Get-DSGateway -Name 'GatewayRulesetA'
PS C:\> $gateway.NetworkAccessRules.AllowList.Add(@{ 'Type' = 'IP'; 'Value' = '1.2.3.4' })
PS C:\> Update-DSGatewayRuleset -Gateway $gateway
```

Añade una nueva regla que permite la dirección IP '1.2.3.4' al conjunto de reglas de puerta de enlace.

#### Ejemplo 3

```powershell
PS C:\> $vaultIds = @($vaultId1, $vaultId2)
PS C:\> $security = New-DSGatewaySecurity -VaultRoleOverride Custom -CustomVaultAccess $vaultIds -DisallowPrivateVaults
PS C:\> Update-DSGatewayRuleset -GatewayID $gatewayRulesetId -Security $security
```

Crea una configuración de seguridad con acceso limitado a bóvedas específicas, no permite las bóvedas privadas y la aplica a un conjunto de reglas de puerta de enlace.

### Parámetros

#### -Description

Nueva descripción del conjunto de reglas de puerta de enlace.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Gateway

Conjunto de reglas de puerta de enlace que se va a actualizar.

```yaml
Type: Devolutions.Server.ApiWrapper.Models.Gateway.Gateway
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -GatewayID

ID de la puerta de enlace ruleset que se va a actualizar.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: GetByID
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -IsDefault

Establecer como puerta de enlace predeterminada.

```yaml
Type: System.Boolean
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -LinkedGatewayID

ID de la nueva puerta de enlace física.

```yaml
Type: System.Nullable`1[System.Guid]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 4
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Name

Nuevo nombre del conjunto de reglas de puerta de enlace. El valor se recortará.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Rule

Nuevo conjunto de reglas de acceso. Sustituirá a todas las anteriores.

```yaml
Type: Devolutions.PowerShell.PSOutputObject.PSGatewayAccessRule[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 3
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Security

Configuración de seguridad del conjunto de reglas de puerta de enlace. Use [New-DSGatewaySecurity](/powershell/es/powershell-commands/new-dsgatewaysecurity.md) para crear este objeto.

```yaml
Type: Devolutions.Server.Models.Shared.Models.Gateway.GatewaySecurity
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para obtener más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notas

Para obtener más información, escriba "Get-Help Update-DSGatewayRuleset -detailed". Para obtener información técnica, escriba "Get-Help Update-DSGatewayRuleset -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/update-dsgatewayruleset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
